#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Cisco ASA connections metrics plugin
#

from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
)

metric_info['fw_connections_active'] = {
    'title': _('Active connections'),
    'unit': 'count',
    'color': '26/a',
}

metric_info['fw_connections_peak'] = {
    'title': _('Peak connections'),
    'unit': 'count',
    'color': '16/a',
}

graph_info['cisco_asa_connections'] = {
    'title': _('Firewall connections'),
    'metrics': [
        ('fw_connections_active', 'line'),
        ('fw_connections_peak', 'area'),
    ],
    'scalars': [
        ('fw_connections_active:crit', _('crit level')),
        ('fw_connections_active:warn', _('warn level')),
    ],
}
